package ru.dbotthepony.mc.otm.item.consumables

import net.minecraft.server.level.ServerPlayer
import net.minecraft.world.effect.MobEffectInstance
import net.minecraft.world.effect.MobEffects
import net.minecraft.world.level.Level
import net.minecraft.world.entity.LivingEntity
import net.minecraft.world.entity.player.Player
import net.minecraft.world.food.FoodProperties
import net.minecraft.world.item.Item
import net.minecraft.world.item.ItemStack

class ImperfectBreadItem(properties: Item.Properties) : Item(properties) {
	override fun finishUsingItem(stack: ItemStack, level: Level, entity: LivingEntity): ItemStack {
		if (entity is ServerPlayer) {
			entity.addEffect(MobEffectInstance(MobEffects.POISON, 80, 2))
		}

		return super.finishUsingItem(stack, level, entity)
	}
}
